Elly API
  1. Statements
Elly API
  • API Keys
    • Get current API key details
      GET
    • Get current API key usage statistics
      GET
    • List all API keys
      GET
    • Create a new API key
      POST
    • Revoke an API key
      DELETE
  • Transactions
    • List transactions
      GET
    • Create transaction
      POST
    • Get transaction details
      GET
    • Update transaction
      PATCH
    • Delete transaction
      DELETE
    • Bulk update transactions
      POST
  • Bank Accounts
    • List bank accounts
      GET
    • Create bank account
      POST
    • Get bank account details
      GET
    • Update bank account
      PATCH
    • Delete bank account
      DELETE
    • Get bank account transactions
      GET
  • Statements
    • List bank statements
      GET
    • Upload bank statement file
      POST
    • Get statement details
      GET
    • Get statement transactions
      GET
  • Categories
    • List categories
      GET
  • Reports
    • Cash flow report
      GET
    • Financial summary report
      GET
  • Companies
    • Get company details
  • Schemas
    • TransactionStatus
    • AccountingCategory
    • CashFlowCategory
    • AccountType
    • AccountStatus
    • StatementStatus
    • ApiScope
    • ApiKey
    • Transaction
    • TransactionListResponse
    • TransactionResponse
    • TransactionDetailResponse
    • CreateTransactionRequest
    • UpdateTransactionRequest
    • BulkUpdateRequest
    • BankAccount
    • BankAccountListResponse
    • CreateBankAccountRequest
    • UpdateBankAccountRequest
    • CreateStatementRequest
    • CreateStatementUpload
    • Pagination
    • Error
  1. Statements

Get statement details

GET
/api-v1/statements/{statementId}
Statements

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Statement details
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://gvazyknvkqdeuzmrnuwu.supabase.co/functions/v1/api-v1/statements/' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "success": true,
    "data": {
        "id": "770g0611-g41d-63f6-c938-668877662222",
        "file_name": "estado_cuenta_enero_2025.pdf",
        "file_type": "application/pdf",
        "file_path": "statements/770g0611-g41d-63f6-c938-668877662222.pdf",
        "period_start": "2025-01-01",
        "period_end": "2025-01-31",
        "opening_balance": 100000,
        "closing_balance": 125000.5,
        "status": "processed",
        "transaction_count": 45,
        "total_credits": 75000,
        "total_debits": -49999.5,
        "processing_progress": 100,
        "bank_account_id": "550e8400-e29b-41d4-a716-446655440000",
        "created_at": "2025-02-01T10:00:00Z",
        "updated_at": "2025-02-01T10:05:00Z",
        "bank_account": {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "account_name": "BBVA Business Checking",
            "institution_name": "BBVA",
            "currency_code": "MXN"
        }
    }
}
Modified at 2025-12-30 00:32:01
Previous
Upload bank statement file
Next
Get statement transactions
Built with